Subject: Need Citrus Trees!
From: [email-masked] (Tana Amstutz)
Date: Tue, 12 Jul 1994 18:49:45 GMT
Newsgroups: alt.sustainable.agriculture

We are the luckiest folks in the world 'cause we've just bought a two-acre
farm in the middle of the city!  In addition to our other fruit trees, we
would like to try a small citrus grove, perhaps just one or two each of
lemon, lime and orange trees. Of course we'll put it on the south side of
the property, and we know we'll have to build a temporary (at least) 
greenhouse to help them through the winter.

Can anyone recommend a good source of  real citrus trees , preferably in
the Rio Grande Valley?  I assume it's better to purchase them there, since
both California and Florida citrus fruits are much larger and undoubtedly
require better soil, etc.  I'm talking about those scrawny little "valley
limes," which I hope will survive here. . .